GET
/v1/entities/politicians
v1List politician entities
Retrieve entities with the "politician" subcategory. A convenience endpoint equivalent to filtering entities by `subcategory=politician`.
Parameters
| Name | Type | Description |
|---|---|---|
limit | integer | Number of entities to return Default: 60 e.g. 20 |
offset | integer | Number of entities to skip Default: 0 e.g. 0 |
limit integerNumber of entities to return
Default: 60
e.g. 20
offset integerNumber of entities to skip
Default: 0
e.g. 0
Request Examples
bash
curl "https://api.newsrank.ai/v1/entities/politicians?limit=20&offset=0" \
-H "Authorization: Bearer nrf_your_api_key"Response
json
{
"entities": [
{
"id": 892,
"name": "John Roberts",
"type": "person",
"subcategory": "politician",
"slug": "john-roberts",
"description": "Chief Justice of the United States",
"image_url": "https://example.com/images/roberts.jpg",
"wikidata_id": "Q11204",
"wikipedia_url": "https://en.wikipedia.org/wiki/John_Roberts",
"article_count": 234,
"aliases": [
"Chief Justice Roberts",
"J. Roberts"
],
"enriched": true
}
],
"total": 120,
"offset": 0,
"limit": 60
}Try it
Server
Using sandbox demo key (5 req/min) — no signup required
Authentication
Demo key (sandbox)
Endpoint
GET /v1/entities/politicians
Default: 60
Default: 0